This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 188779 - CVE-2006-1742 JavaScript garbage-collection hazard audit
CVE-2006-1742 JavaScript garbage-collection hazard audit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
5
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 22:16 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: FEDORA-2006-487
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-24 11:36:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 22:16:31 EDT
JavaScript garbage-collection hazard audit


Igor  Bukanov  has audited the JavaScript engine for routines that use
temporary variables not protected against garbage-collection. If malicious
content could cause garbage-collection to run during the lifetime of these
temporaries  then the original routine would end up operating on freed
memory.

The  risk  appears  remote,  but  this type of memory corruption could
potentially be used by an attacker to run arbitrary code including the
installation of malware.

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Upgrade to the fixed versions. Do not enable JavaScript in Thunderbird or
Mozilla Suite mail.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=311497
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=311792
[3]https://bugzilla.mozilla.org/show_bug.cgi?id=312278
[4]https://bugzilla.mozilla.org/show_bug.cgi?id=313276
[5]https://bugzilla.mozilla.org/show_bug.cgi?id=313479
[6]https://bugzilla.mozilla.org/show_bug.cgi?id=313630
[7]https://bugzilla.mozilla.org/show_bug.cgi?id=313726
[8]https://bugzilla.mozilla.org/show_bug.cgi?id=313763
[9]https://bugzilla.mozilla.org/show_bug.cgi?id=313938
[10]https://bugzilla.mozilla.org/show_bug.cgi?id=325269


This issue also affects FC4
Comment 1 Josh Bressers 2006-04-24 08:30:41 EDT
Lifting embargo
Comment 2 David Eisenstein 2006-06-24 11:36:28 EDT
This bug was fixed for FC4 in Fedora Update FEDORA-2006-488
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00019.html>.

This bug was fixed for FC5 in Fedora Update FEDORA-2006-487
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00018.html>.

Note You need to log in before you can comment on or make changes to this bug.